#include <bits/stdc++.h>
#include "testlib.h"
 
using namespace std;
 
#define all(x) (x).begin(), (x).end()
#define rall(x) (x).rbegin(), (x).rend()
#define ff first
#define ss second
#define ll long long
#define ull unsigned long long
#define ui unsigned int
#define pb push_back
#define ppb pop_back
#define pf push_front
#define ppf pop_front
#define mp make_pair
#define ld long double
#define uset unordered_set
#define umap unordered_map
#define umset unordered_multiset
#define ummap unordered_multimap

int main(int argc, char* argv[]) {
    registerValidation(argc, argv);
    int T = inf.readInt(1,5000, "~t");
    inf.readEoln();
    for (int i = 0; i < T; i++){
        setTestCase(i+1);
        long long n;
        n = inf.readLong(2, (long long)1e18, "n");
        inf.readEoln();
    }
    inf.readEof();
    
    return 0;
}